> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Task for a Business

> **Scopes:** `request:update`



## OpenAPI

````yaml /api-reference/openapi.json patch /v0/business/{business_id}/task/{task_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/task/{task_id}:
    patch:
      tags:
        - Request
      summary: Update a Task for a Business
      description: '**Scopes:** `request:update`'
      operationId: update_task_v0_business__business_id__task__task_id__patch
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: task_id
          in: path
          required: true
          schema:
            description: The id of the task
            examples:
              - tsk_WQMDNUHpBThYSNh4AprDBo
            type: string
            format: tsk_string
            title: Task Id
          description: The id of the task
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTask'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - request:update
components:
  schemas:
    UpdateTask:
      properties:
        description:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Description
          description: The new task description
          examples:
            - Please upload the bank statement
        status:
          anyOf:
            - $ref: '#/components/schemas/TaskStatus'
            - type: 'null'
          description: The new status for the task
          examples:
            - completed
      type: object
      title: UpdateTask
    TaskSuccess:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/TaskPublic'
            - $ref: '#/components/schemas/TaskCategorizationPublic'
            - $ref: '#/components/schemas/TaskReconnectAccountPublic'
            - $ref: '#/components/schemas/TaskRequestReceiptPublic'
            - $ref: '#/components/schemas/TaskRequestStatementPublic'
            - $ref: '#/components/schemas/TaskRequestPayrollPublic'
            - $ref: '#/components/schemas/TaskReviewTransactionsPublic'
          title: Data
      type: object
      required:
        - data
      title: TaskSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TaskStatus:
      type: string
      enum:
        - pending
        - completed
      title: TaskStatus
    TaskPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
      title: TaskPublic
    TaskCategorizationPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        transaction_id:
          type: string
          format: txn_string
          title: Transaction Id
          description: The id of the transaction related to the task
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - transaction_id
      title: TaskCategorizationPublic
    TaskReconnectAccountPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        linked_item_id:
          type: string
          format: lni_string
          title: Linked Item Id
          description: The item id that represents the plaid institution
          examples:
            - lni_WQMDNUHpBThYSNh4AprDBo
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - linked_item_id
      title: TaskReconnectAccountPublic
    TaskRequestReceiptPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        transaction_id:
          type: string
          format: txn_string
          title: Transaction Id
          description: The id of the transaction for which a receipt is requested
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - transaction_id
      title: TaskRequestReceiptPublic
    TaskRequestStatementPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        external_account_id:
          type: string
          format: eac_string
          title: External Account Id
          description: The id of the External Account for which a statement is requested
          examples:
            - eac_WQMDNUHpBThYSNh4AprDBo
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Task metadata containing request details
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - external_account_id
      title: TaskRequestStatementPublic
    TaskRequestPayrollPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
      title: TaskRequestPayrollPublic
    TaskReviewTransactionsPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Task metadata containing review details
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
      title: TaskReviewTransactionsPublic
    TaskType:
      type: string
      enum:
        - reconnect_account
        - categorize_transaction
        - review_personal_transaction
        - other
        - request_receipt
        - request_statement
        - request_other_document
        - request_payroll
        - review_transactions
      title: TaskType
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````